Subject: [Mitbadminton] badminton tomorrow 11am-12pm at south courts

From: Yu Pu <[email-masked]>
Date: Sat, 12 Aug 2006 12:06:29 -0400

Hi all,

South courts are reserved for badminton tomorrow, sunday morning 11am-12pm. Both
courts were booked for volleyball tomorrow afternoon 1-4pm and the courts will
be closed at 4pm in the summer time. Have fun.

Cheers,
Yu